"""==========================================================
منطق برنامه تعیین کننده اعداد سه رقمی که با مقلوبشان برابرند
و مشخص کننده این اعداد
=========================================================="""

count = 100
while count < 1000:
    s = 0
    num = count
    while num > 0:
        remain = num%10
        s = (s*10) + remain
        num = num // 10
    if count == s:
        print(count)
    count +=1